# Administration

1. Introduction
2. [Hosted Presses](administration#hosted-presses)
3. [Administrative Functions](administration#admin-functions)

Site administration is limited to users with full system permissions. Administration tasks are infrequent and may be carried out by a press manager, senior editor, or a dedicated site administrator.

## <a name="hosted-presses"></a>Hosted Presses

Add, edit or remove presses hosted on this installation. There will only be one press in most cases, but you can host multiple presses with a single installation.

Administrators, press managers or senior editors can access a **Settings Wizard** for each hosted press, which will walk you through the basic press setup steps. These include setting up the masthead, contact details, site appearance, submission parameters, indexing details and users.

## <a name="admin-functions"></a>Administrative Functions

Several administrative functions are available in the site administration area. These should be used with caution by technical administrators. Improper use could lead to unexpected results.

### System Information

Detailed information about the software version and server configuration. These details are useful for receiving support on the PKP Forums.

### Expire User Sessions

This link will log all users out of the system immediately. This can be useful just before conducting a software upgrade.

### Clear Data Caches

Clears all cached data, including locale information, help cache, and search cache.

### Clear Template Cache

Clears all cached versions of HTML templates. This function may be useful to force templates to be reloaded after customizations have been made.

### Clear Scheduled Task Execution Logs

Remove log files generated automatically by some scheduled maintenance tasks, such as the processing of statistics.
