# Catalog

1. Introduction
2. [Create a new catalog entry](catalog#new-catalog-entry)
3. [Select Featured and New Release entries](catalog#features)
4. [Manage Categories and Series](catalog#categories-and-series)
5. [Manage Spotlights](catalog#spotlights)

Manage your press catalog, the public listing of all published content on your site, from this page.

You can edit existing monographs, list new monographs in your catalog, manage categories and series listings, highlight featured books and set up spotlights for display on your homepage.

## <a name="new-catalog-entry"></a>Create a new catalog entry

You can create a new catalog entry from an existing submission from the **Catalog** tab.

Click the **New Catalog Entry** button above the list of existing catalog entries. Select the submission you'd like to add and click the **Add Selected to Catalog** button.

## <a name="features"></a>Select Featured and New Release entries

Beside each catalog entry you'll find checkboxes that will allow you to designate it a Featured entry or a New Submission.

When you select either of these checkboxes, the entry will appear under a special section on the homepage. If you don't see the entry appear, make sure you've enabled them on the Homepage Content setting under **Settings > Appearance**.

You can re-order Featured entries, using the **Order** link at the top of the grid. New Releases will appear with the latest first.

_Features and New Releases can be highlighted on the Category and Series pages of your catalog as well. To do so, browse to the **Category** or **Series** tab._

## <a name="categories-and-series"></a>Manage Categories and Series

To view all entries in a category or series, select that category or series from the list on the left. You can then select featured and new release entries for this category or series.

### What's the difference between Categories and Series?

Series are a common way of organizing publications. A series may have a unique ISSN for indexing purposes, and monographs can be automatically ordered by their number in a series.

Categories represent a more generic way of organizing your catalog. They're often used to organize your catalog by subject, but they can be used to group your publications however you'd like.

## <a name="spotlights"></a>Manage Spotlights

You can select a few books to be displayed prominently on the homepage along with a custom title and description.

This is useful when you want to promote a book with marketing language that goes beyond the book's title and abstract, such as highlighting praise a publication has received.
